import pytest

from peewee import IntegrityError

from data.model.repository import create_repository, purge_repository
from test.fixtures import *

def test_duplicate_repository_different_kinds(initialized_db):
  # Create an image repo.
  create_repository('devtable', 'somenewrepo', None, repo_kind='image')

  # Try to create an app repo with the same name, which should fail.
  with pytest.raises(IntegrityError):
    create_repository('devtable', 'somenewrepo', None, repo_kind='application')
